[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.AsFloat

Get/Set parameter value as a floating-point value

## Declaration

Source position: db.pas line 1179

`public property TParam.AsFloat: Double read GetAsFloat write SetAsFloat;`

## Description

AsFLoat will return the parameter value as a double floating-point value. If it is written, the value is set to the specified value and the data type is set to ftFloat.

## See also

TParam.AsCurrency |  | Get/Set parameter value as a currency value
TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant

The latest version of this document can be found at lazarus-ccr.sourceforge.net.